Bug 23145 - Confirming transfer during checkin clears the table of previously checked-in items
Summary: Confirming transfer during checkin clears the table of previously checked-in ...
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Owen Leonard
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 21346
Blocks: 23328
  Show dependency treegraph
 
Reported: 2019-06-18 12:03 UTC by Owen Leonard
Modified: 2019-08-13 20:00 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.03


Attachments
Bug 23145: Confirming transfer during checkin clears the table of previously checked-in items (2.36 KB, patch)
2019-07-16 18:14 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23145: Confirming transfer during checkin clears the table of previously checked-in items (6.59 KB, patch)
2019-07-18 12:12 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23145: Confirming transfer during checkin clears the table of previously checked-in items (6.63 KB, patch)
2019-07-18 23:28 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 23145: Confirming transfer during checkin clears the table of previously checked-in items (6.73 KB, patch)
2019-07-19 09:15 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-06-18 12:03:59 UTC
Following the changes made by Bug 21346, transfers triggered during checkin result in a modal dialog asking for confirmation. When this confirmation is clicked the page reloads and the table of previously checked-in items disappears. The information in that table can be very important to librarians keeping track of what they've checked in or as a way to navigate directly to an item or patron.

The modal should be dismissed without reloading the page.
Comment 1 George Williams (NEKLS) 2019-06-27 04:39:03 UTC
The specific issue I see is that the first time a transfer is triggered "#item-transfer-modal" is triggered and when you clear it, the check-in table reloads as expected.  If an item that is already in transit is checked in, the modal that's triggered is "#wrong-transfer-modal" and when you clear this modal, the check-in table is completely cleared.  So it's the second case that creates the problem for our staff.

George
Comment 2 Owen Leonard 2019-06-27 12:03:20 UTC
(In reply to George Williams (NEKLS) from comment #1)
> If an item that is already in transit is checked
> in, the modal that's triggered is "#wrong-transfer-modal" and when you clear
> this modal, the check-in table is completely cleared.

Yes, that's right. Thank you for clarifying.
Comment 3 Owen Leonard 2019-07-16 18:14:28 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2019-07-18 12:12:00 UTC Comment hidden (obsolete)
Comment 5 ByWater Sandboxes 2019-07-18 23:28:21 UTC Comment hidden (obsolete)
Comment 6 Marcel de Rooy 2019-07-19 08:57:41 UTC
QA: Looking here
Comment 7 Marcel de Rooy 2019-07-19 09:15:43 UTC
Created attachment 91622 [details] [review]
Bug 23145: Confirming transfer during checkin clears the table of previously checked-in items

This patch corrects the checkin template so that checking in an item
with an existing transfer does not clear the page of previous checkouts.

To test, apply the patch and check in some items.

 - After each checkin the returned item should appear in the table of
   checkouts.
 - Check in an item which belongs to another branch. You will be asked
   to confirm that the items requires a transfer. When the page reloads
   you should see the same previous checkins in the table.
 - Check in that same item again. You will be again asked to confirm.

   Before this page, confirming the transfer would reload the page and
   clear the list of checkins. Now the page should reload and the table
   of checkins should still show the previously checked-in items.

Test all the actions when checking in an item which is already in
transit: OK, Print transfer slip, and Cancel transfer.

Signed-off-by: George Williams <george@nekls.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 8 Martin Renvoize 2019-07-19 12:56:59 UTC
Nice work!

Pushed to master for 19.11.00
Comment 9 Fridolin SOMERS 2019-08-06 14:00:45 UTC
Pushed to 19.05.x for 19.05.03
Comment 10 Lucas Gass 2019-08-13 20:00:49 UTC
backported to 18.11.x for 18.11.09